Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.0.0SynchronousAuth Required
AddSNSFeiShuAtPerson
AddSNSFeiShuAtPerson
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
userIdStringRequiredThe FeiShu user ID.
endpointUuidStringRequiredThe UUID of the FeiShu endpoint.
resourceUuidStringOptional. The resource uuid.
tagUuidListOptional. The tag uuid list.
remarkStringOptional. The remark.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/feishu/at-persons
/zstack/v1/sns/application-endpoints/feishu/at-persons
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/feishu/at-persons' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"userId":"<userId>","endpointUuid":"<endpointUuid>","resourceUuid":"<resourceUuid>","tagUuid":["<tagUuid>"],"remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "de3e104204da4c31a9600685c2b8a106", "userId": "18988887777", "endpointUuid": "58361e5ce6704eb6999830034397a8aa", "createDate": "Dec 25, 2023 2:09:10 PM", "lastOpDate": "Dec 25, 2023 2:09:10 PM", "remark": "jack" } }Change History
This API has no change history records yet.
